### Hierarchy

- MsgBuffer

## Index

### Constructors

- constructor

### Properties

- arrivedAt
- buffers
- numBuffers

### Accessors

- isOld

### Methods

- compare

## Constructors

### constructor

- new MsgBuffer(numBuffers: number): MsgBuffer

- - Defined in network.ts:277

  #### Parameters

  - ##### numBuffers: number

  #### Returns MsgBuffer

## Properties

### arrivedAt

arrivedAt: [number, number]

- Defined in network.ts:275

### buffers

buffers: Map<number, Buffer> = new Map<number, Buffer>()

- Defined in network.ts:277

### numBuffers

numBuffers: number

- Defined in network.ts:276

## Accessors

### isOld

isOld:

- Defined in network.ts:289

## Methods

### compare

- compare(other: MsgBuffer): number

- - Defined in network.ts:282

  #### Parameters

  - ##### other: MsgBuffer

  #### Returns number

Generated using TypeDoc